# -*- coding: utf-8 -*-
"""
Created on Tue Dec 16 20:02:52 2014

@author: FADE
"""
# Discount curve using the discount factors against the maturity
import numpy as np
import matplotlib.pyplot as plt
import matplotlib.dates as mdates


def graph():
    date, value = np.loadtxt('Discount.csv', delimiter =',', unpack=True, converters = {0:mdates.strpdate2num('%d-%m-%Y')})
    plt.plot_date(x=date, y=value, linestyle='-', marker="", color='r')
    plt.xlabel("Maturity Dates")
    plt.ylabel("Discount Factors")
    plt.title("Discount Curve")
    plt.grid(True)
    plt.show()

graph()